SASLDB(5)

NAME
sasldb - auxiliary property plugin

SYNOPSIS

Cyrus SASL auxprop plugin to access the sasldb authentication backend

DESCRIPTION

This document describes configuration options for the Cyrus SASL auxiliary property plugin sasldb.

sasldb is the default and fallback plugin. It will be used if explicitly configured, but also if other mechanisms have failed to load e.g. because they haven't been configured properly.

This plugin reads all user data from a Berkeley database. On Debian systems the default location for this database is /etc/sasldb2.

Passwords are stored in plaintext format to enable usage of shared-secret mechanisms. To protect the passwords, access has been restricted to user root and group sasl. An application must be member of the sasl group to conduct sasldb SASL authentication.

Use the saslpasswd2(8) utility to create and modify sasldb users. The sasldblistusers2(8) command prints a list of existing sasldb users to STDOUT.

OPTIONS

The following configuration parameters are applicable in the context of the sasldb plugin:

sasldb_path: (default: /etc/sasldb2)
    Specifies the path to the database when auxprop_plugin: sasldb is used. The default path is system dependant, but usually /etc/sasldb2.

EXAMPLE

The following example shows a typical sasldb configuration. The database is located at the default location /etc/sasldb2.

    pwcheck_method: auxprop
    auxprop_plugin: sasldb
    mech_list: plain login cram-md5 digest-md5

SEE ALSO

authdaemond(5), ldapdb(5), libsasl(5), saslauthd(8), saslauthd.conf(5), saslpasswd2(5), sasldblistusers2(5), sasldb(5), sql(5)

README FILES

README.Debian

AUTHOR

This manual was written for the Debian distribution because the original program does not have a manual page. Parts of the documentation have been taken from the Cyrus SASL's options.html.

    Patrick Ben Koetter
    <p@state-of-mind.de>